/*==============================================================
 File........JP Serial 3.2" TFT color LCD display module
             A Touch Spring Test code for Arduino
 Purpose.....This test code for JP Serial 3.2" TFT color LCD display module
 Software....Arduino 1.52
 MCU.........Arduino Duemilanove
 Auther......OldSpring
 Website.....WWW.-------.com
 Email.......oldsprings@yahoo.com
 Started.....
 Updated.....
 Note: The module Rx <===> Tx of Arduino 
       The module Tx <===> Rx of Arduino 
=================== Parameter =============================*/
byte Serial_Read;
void setup()
{
  Serial.begin(9600);  
  Serial.setTimeout(50);   	
  delay(1000);
  OldSpring();
}

void delay_m() {
  delay(200);
}
// ================== Touch Spring Function Test =======================
void OldSpring() {
    Serial.write("ZO,spring");   // Run a preprogram file in MMC card 
    Serial.write(13);              // end char
    delay(2000);


}
//=========================== System Loop ==============================
void loop(){
     if (Serial.available() > 0) {
        Serial_Read = Serial.read();
        switch (Serial_Read) {
          case 128:    //Button Index = 1 "1"  
                Serial.write("Mi,125,130,face1");
                Serial.write(13); 
                delay_m();
                break;
          case 129:    //Button Index = 2 "2"
                Serial.write("Mi,125,130,face2");
                Serial.write(13); 
                delay_m();
                break;
          case 130:    //Button Index = 3 "3"
                Serial.write("Mi,125,130,face3");
                Serial.write(13); 
                delay_m();
                break;
          case 131:    //Button Index = 4 "4"
                Serial.write("Mi,125,130,face4");
                Serial.write(13); 
                delay_m();
                break;
          case 132:    //Button Index = 5 "5"
                Serial.write("Mi,125,130,face5");
                Serial.write(13); 
                delay_m();
                break;
          case 133:    //Button Index = 6 '6"
                Serial.write("Mi,125,130,face6");
                Serial.write(13); 
                delay_m();
                break;
          case 134:    //Button Index = 7 "7"
                Serial.write("Mi,125,130,face7");
                Serial.write(13); 
                delay_m();
                break;
          case 135:    //Button Index = 8 "8"
                Serial.write("Mi,125,130,face8");
                Serial.write(13); 
                delay_m();
                break;
          case 136:    //Button Index = 9 "9"
                Serial.write("Mi,125,130,face9");
                Serial.write(13); 
                delay_m();
                break; 
          case 137:    //Button Index = 10 "0"
                Serial.write("Mi,125,130,facea");
                Serial.write(13); 
                delay_m();
                break;
          case 138:    //Button Index = 11 "-"
                Serial.write("Mi,125,130,faceb");
                Serial.write(13); 
                delay_m();
                break;
          case 139:    //Button Index = 12 "*"
                Serial.write("Mi,125,130,face1");
                Serial.write(13); 
                delay_m();
                break; 
          case 140:    //Button Index = 14 "/"
                Serial.write("Mi,125,130,face2");
                Serial.write(13); 
                delay_m();
                break;
          case 141:    //Button Index = 15 "="
                Serial.write("Mi,125,130,facea");
                Serial.write(13); 
                delay_m();
                break;
               }               
}}  



